<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.7: http://docutils.sourceforge.net/" />
<title>PyXMPP -- Python Jabber/XMPP implementation</title>
<link rel="stylesheet" href="/usr/share/python2.7/site-packages/docutils/writers/html4css1/html4css1.css" type="text/css" />
</head>
<body>
<div class="document" id="pyxmpp-python-jabber-xmpp-implementation">
<h1 class="title">PyXMPP -- Python Jabber/XMPP implementation</h1>

<div class="section" id="introduction">
<h2>Introduction</h2>
<p>PyXMPP is a Python XMPP (<a class="reference external" href="http://www.faqs.org/rfcs/rfc3920.html">RFC 3920</a>,3921) implementation, including some of the
well-known extensions. It is based on libxml2 -- fast and fully-featured XML
parser.</p>
<p>PyXMPP provides most core features of the XMPP protocol and several JSF-defined
extensions. PyXMPP provides building blocks for creating Jabber clients and
components. Developer uses them to setup XMPP streams, handle incoming events
and create outgoing stanzas (XMPP &quot;packets&quot;).</p>
</div>
<div class="section" id="features">
<h2>Features</h2>
<ul class="simple">
<li>nearly complete XMPP Core (<a class="reference external" href="http://www.faqs.org/rfcs/rfc3920.html">RFC 3920</a>) protocol for client connections
(includes SASL, TLS and Strinprep).</li>
<li>mostly complete XMPP IM (<a class="reference external" href="http://www.faqs.org/rfcs/rfc3921.html">RFC 3921</a>) protocol (lacks privacy lists)</li>
<li>XMPP error objects including translations to and from legacy codes for
backward compatibility (<a class="reference external" href="http://www.jabber.org/jeps/jep-0086.html">JEP-0086</a>).</li>
<li>legacy authentication (&quot;digest&quot; and &quot;plain&quot;) (<a class="reference external" href="http://www.jabber.org/jeps/jep-0078.html">JEP-0078</a>).</li>
<li>component protocol (<a class="reference external" href="http://www.jabber.org/jeps/jep-0114.html">JEP-0114</a>).</li>
<li>Service Discovery (<a class="reference external" href="http://www.jabber.org/jeps/jep-0091.html">JEP-0030</a>).</li>
<li>vCards -- both Jabber &quot;vcard-temp&quot; and <a class="reference external" href="http://www.faqs.org/rfcs/rfc2426.html">RFC 2426</a></li>
<li>basic parts of the Multi-User Chat protocol (<a class="reference external" href="http://www.jabber.org/jeps/jep-0045.html">JEP-0045</a>)</li>
<li>delayed delivery timestamps (<a class="reference external" href="http://www.jabber.org/jeps/jep-0091.html">JEP-0091</a>).</li>
<li>Data Forms (<a class="reference external" href="http://www.jabber.org/jeps/jep-0004.html">JEP-0004</a>).</li>
<li>In-Band Registration (<a class="reference external" href="http://www.jabber.org/jeps/jep-0077.html">JEP-0077</a>).</li>
</ul>
</div>
<div class="section" id="requirements">
<h2>Requirements</h2>
<p>For PyXMPP you will need:</p>
<blockquote>
<ul class="simple">
<li><a class="reference external" href="http://www.python.org/">Python</a>. Python 2.6 required.</li>
<li><a class="reference external" href="http://xmlsoft.org/">libxml2</a>. Recent release (&gt;=2.6.11) with python
bindings is required. Additionally, all development files for libxml2 (usually in
separate libxml2-devel package) are recommended for compilation of PyXMPP for best performance.
PyXMPP 1.0 was tested with libxml2-2.7.6.</li>
<li><a class="reference external" href="http://www.dnspython.org/">dnspython</a>.
PyXMPP 1.0 was tested with version 1.6.0.</li>
</ul>
</blockquote>
</div>
<div class="section" id="installation">
<h2>Installation</h2>
<p>To make sure you have all the requirements listed above or to prepare limited
(without the binary extension) build of PyXMPP you may want to run:</p>
<pre class="literal-block">
python configure.py
</pre>
<p>You may manually pick the limited or full build of PyXMPP by editing the build.cfg file.</p>
<p>To build the package just invoke:</p>
<pre class="literal-block">
python setup.py build
</pre>
<p>To install it:</p>
<pre class="literal-block">
python setup.py install
</pre>
<p>If you had some older version of PyXMPP it is better to uninstall it (delete
pyxmpp subdirectory os your site-packages directory) before installing this one
or things may not work correctly.</p>
<p>You may also try:</p>
<pre class="literal-block">
make
</pre>
<p>and:</p>
<pre class="literal-block">
make install
</pre>
<p>instead.</p>
</div>
<div class="section" id="contact">
<h2>Contact</h2>
<p>PyXMPP was written and is maintained by Jacek Konieczny &lt;<a class="reference external" href="mailto:jajcus&#64;jajcus.net">jajcus&#64;jajcus.net</a>&gt;.</p>
<p>To report bugs or request features use the <a class="reference external" href="https://github.com/Jajcus/pyxmpp/issues">GitHub interface</a>.</p>
<p>For discussion you may join <a class="reference external" href="http://lists.jajcus.net/mailman/listinfo/pyxmpp">the PyXMPP mailing list</a>.</p>
</div>
<div class="section" id="download">
<h2>Download</h2>
<p>Current source code is available via GitHub at: <a class="reference external" href="https://github.com/Jajcus/pyxmpp">https://github.com/Jajcus/pyxmpp</a></p>
</div>
<div class="section" id="licence">
<h2>Licence</h2>
<p>PyXMPP is free software, licenced under the GNU LGPL. See the
COPYING file for details.</p>
</div>
</div>
</body>
</html>
